[wingide-users] Added support for debugging QThreads in PySide and PyQt4?

Wing IDE Support support at wingware.com
Thu Apr 5 09:34:35 MDT 2012


On 4/5/12 10:54 AM, Else Popelse wrote:
> Hi,
>
> I just played with the latest version (4.1.4), but had
> to revert to 4.1.3 in the end, since I couldn't run
> projects anymore, which use QThreads.

It looks there's a regression from 4.1.3 in support for QThreads that 
causes this.  Unfortunately, it's not easy to patch.  We'll be releasing 
4.1.5 next week, primarily to patch this.  In the meantime, the 
workaround is to revert to 4.1.3.  Note that the bug only affects 
QThread debugging and not anything else.

Sorry about this,

John


More information about the wingide-users mailing list